/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.webservice.admindevel;

/**
 * Remote interface for Hello.
 */
public interface HelloRemote
        extends javax.ejb.EJBObject
{

   public String helloString(String name)
           throws java.rmi.RemoteException;

   public HelloObj helloBean(HelloObj bean)
           throws java.rmi.RemoteException;

   public HelloObj[] helloArray(HelloObj[] query)
           throws java.rmi.RemoteException;

}
